﻿using System;

namespace CommonTools.BindingModels
{
	/// <summary>
	/// Информация для доступа к выполнению операций
	/// </summary>
	public class AccessBindingModel
	{
		/// <summary>
		/// Пропускать проверку (работает только для получения данных)
		/// </summary>
		public bool SkipCheck { get; set; }

		/// <summary>
		/// Идентификатор пользователя, который запрашивает выполнение операции
		/// </summary>
		public Guid? UserId { get; set; }
	}
}