﻿using ModelTools.Models;
using System.Collections.Generic;

namespace ModelTools.Interfaces
{
	/// <summary>
	/// Интерфейс для регистрации контролов для десктопного приложения
	/// </summary>
	public interface IWindowDesktopExtension
	{
		/// <summary>
		/// Получение списка контролов модуля, доступных для работы по авторизованному пользователю 
		/// </summary>
		/// <returns></returns>
		List<WindowDesktopExtensionControlModel> GetListControlEntityList();
	}
}