﻿using DepartmentBusinessLogic.Interfaces;
using DepartmentDatabaseImplementation.Implementations;
using ModuleTools.BusinessLogics;
using ModuleTools.Interfaces;

namespace DepartmentDatabaseImplementation
{
	public class DepartmentImplementationExtensions : IImplementationExtension
	{
		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IEmployeePostService, EmployeePostService>();
			DependencyManager.Instance.RegisterType<IEmployeeService, EmployeeService>();
			DependencyManager.Instance.RegisterType<IEmployeeEmployeePostService, EmployeeEmployeePostService>();
		}
	}
}