﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение роли
    /// </summary>
	public class RoleGetBindingModel : GetBindingModel { }

    /// <summary>
    /// Сохранение роли
    /// </summary>
    public class RoleSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("RoleName")]
        public string RoleName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("RolePriority")]
        public int RolePriority { get; set; }
    }
}